Subject: RE: x9.42 and CMS

From: "Blake Ramsdell" <[email-masked]>
Date: Thu, 28 Jan 1999 14:04:08 -0800

> -----Original Message-----
> From: Francois Rousseau [mailto:[email-masked]]
> Sent: Thursday, January 28, 1999 1:25 PM
> To: William Whyte
> Cc: [email-masked]
> Subject: Re: x9.42 and CMS
> 
> However, I still think that none of the S/MIME standards 
> should be bound in
> any way to SHA-1, although SHA-1 can still be the recommended standard
> specified in [MSG] for interoperability at this time.

I think that the case that you illustrated (the use of SHA-1 for creation of
the cert ID) is different than this one.  I agree with Jim that the OID can
be changed, which solves that problem.

I think we should be more concerned with William's case, however.  The OID
that we tie to this whole process of Diffie Hellman "stuff" is
dhpublicnumber which is placed in certificates.  If SHA-1 has a problem, we
can't go back and change the OID in the previously issued certificates.

Blake
--
Blake C. Ramsdell
Worldtalk Corporation
For current info, check http://www.deming.com/users/blaker
Voice +1 425 882 8861 x103  Fax +1 425 882 8060